Overview
GET/project/projects/{id}/activityproject

A project's activity trail (newest first, keyset-paginated)

Fetch a record from activity by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
  • limitquery · optionalstring
  • beforequery · optionalstring
  • beforeIdquery · optionalstring
Responses
200

Activity

  • idstring
  • ecosystemIdstring
  • projectIdstring
  • workItemIdoptionalstring?

    set when the event is card-scoped

  • actorKindoptionalstring?
  • actorIdoptionalstring?
  • actorLabeloptionalstring?
  • actionstring

    the event, e.g. project.created/updated/deleted, status.*, participant.*, work_item.created/updated/status_changed/assigned/deleted, comment.added

  • detailoptionalobject?

    action-specific payload (jsonb)

  • createdAtstring
Example
[
  {
    "id": "string",
    "ecosystemId": "string",
    "projectId": "string",
    "workItemId": "string",
    "actorKind": "string",
    "actorId": "string",
    "actorLabel": "string",
    "action": "string",
    "detail": {},
    "createdAt": "string"
  }
]
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/project/projects/{id}/activity" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/project/projects/{id}/activity", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();